org.apache.solr.client.solrj.cloud.autoscaling

## Class Clause.Violation

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Clause.Violation

All Implemented Interfaces:
  MapSerializable, MapWriter

Enclosing class:
  Clause

    public class Clause.Violation
    extends Object
    implements MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object that)`
`Clause` `getClause()`
`int` `hashCode()`
`boolean` `isLessSerious(Clause.Violation that)`
`String` `toString()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`toMap`

### Method Detail

#### getClause

    public Clause getClause()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### isLessSerious

    public boolean isLessSerious(Clause.Violation that)

#### equals

    public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`